import React from 'react';
import routes from './routes'
import {Outlet, useNavigate, useRoutes} from 'react-router-dom'
import useIpcRenderer from '../src/utils/useIpcRenderer'
function App() {

  let navigateFunction = useNavigate();
  function nativeTo(path){
    navigateFunction(path)
  }
  const redirectUrl =(event,args)=> {
    nativeTo(args)
  }

  console.log("routes",routes)
  const element = useRoutes(routes)
  useIpcRenderer({'redirectUrl':redirectUrl})
  return (
    <>
      {/* 注册路由 */}
      {element}
    </>
  )

};
export default App;