import { configureStore } from '@reduxjs/toolkit'
import historyReducer from './historyRecord_reducer'
import redirectReducer from './redirectUrl_reducer'
// 用于支持异步函数
// import thunk from 'redux-thunk'
export default configureStore({
    reducer: {
        historyRecord:historyReducer,
        redirectUrl:redirectReducer
    }
})