import {Navigate} from 'react-router-dom'
import TLayout from '../pages/TLayout'
import GenerateSelf from '../pages/GenerateSelf'
import SyncContext from '../pages/SyncContext'
import EchartsPage from '../pages/EchartsPage'
import Login from '../pages/Login/Form'
import GateWay from '../pages/GateWay'
import Note from '../pages/Note'
import Hlexical from '../pages/Note/Hlexical'
export default [
    {
		path:'/show',
		element:<TLayout/>,
		children:[
			{
				path:'generate',
				element:<GenerateSelf/>
			},
			{
				path:'sync',
				element:<SyncContext/>,
			},
            {
                path:'probability',
                element:<EchartsPage/>
            }
		]
	},
	{
		path:'/note',
		element:<Note/>,
		children:[
			{
				path:'Hlexical',
				element:<Hlexical/>
			}
		]
	},
    {
		path:'/login',
		element:<Login/>,
	},
	{
		path:'/GateWay',
		element:<GateWay/>,
	},
	{
		path:'/',
		element:<Navigate to="/note"/>
	},

]